# AdVanced Math v2.0.0

---
Website: https://ballandt.github.io/projects/avmath/index.html <br>
Documentation: https://ballandt.github.io/docs/avmath.html
---
## Contents

* [Description](#description)
  * [General information](#information)
  * [Extended description](#extended-description)
* [Features](#features)
* [Changelog](CHANGELOG.md)
* [Developments](DEVELOPMENTS.md)
* [Releases](https://www.github.com/ballandt/avmath/releases)
---

## Description
### Information

Category | Data
------------ | -------------
Author | Camillo Ballandt
Release version | [2.0.0](https://www.github.com/ballandt/avmath/releases/tag/2.0.0)
Developing version | 2.1.0
### Extended description

AdVanced Math is a python package that contains advances math features
and functionalities. It is created to easily access deeper math
without the need of mathematical support, so it shall allow
concentrating on the programming part. The intention of avmath
is to be a complete math library with standard features and
more advanced parts.

---
## Features

* [Basic features](https://www.github.com/ballandt/avmath/blob/master/scr/avmath/__init__.py)
  * trigonometry
  * faculties
  * exponential functions
  * constants

* [Linear algebra](https://www.github.com/ballandt/avmath/blob/master/src/evmath/algebra.py)
  * vectors
  * matrices
  * angles
  * point structures
  * vector areas
  * systems of linear equations
* [Analysis](https://www.github.com/ballandt/avmath/blob/master/src/evmath/analysis.py)
  * mathematical functions
  * maxima / minima
  * numerical differentiation and integral